/*******************************************************************************
 * FoxGameObject_HealthPack generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxGameObject_HealthPack extends FoxGameObject
    abstract
    notplaceable
    hidecategories(Navigation);

var int AmountToHeal;
var private const AkEvent PickedupAudioEvent;

simulated event PostBeginPlay()
{
    local FoxPC PC;

    super.PostBeginPlay();
    // End:0x83
    foreach LocalPlayerControllers(class'FoxPC', PC)
    {
        // End:0x82
        if(PC.myHUD != none)
        {
            PC.myHUD.AddPostRenderedActor(self);
        }        
    }    
    //return;    
}

simulated function bool CanInteractWith(FoxPawn InteractingPawn)
{
    return (bEnabled && InteractingPawn != none) && InteractingPawn.GetTeamNum() == UsableByTeam;
    //return ReturnValue;    
}

event Touch(Actor Other, PrimitiveComponent OtherComp, Vector HitLocation, Vector HitNormal)
{
    local FoxPawn TouchedPawn;

    super(Actor).Touch(Other, OtherComp, HitLocation, HitNormal);
    TouchedPawn = FoxPawn(Other);
    // End:0x1AA
    if(((TouchedPawn != none) && CanInteractWith(TouchedPawn)) && TouchedPawn.Health < TouchedPawn.HealthMax)
    {
        // End:0x151
        if((AmountToHeal == 0) || (TouchedPawn.Health + AmountToHeal) > TouchedPawn.HealthMax)
        {
            TouchedPawn.Health = TouchedPawn.HealthMax;
        }
        // End:0x17A
        else
        {
            TouchedPawn.Health += AmountToHeal;
        }
        TouchedPawn.PlayAkEvent(PickedupAudioEvent);
        Destroy();
    }
    //return;    
}
